//CFTTRandomNumberGenerator - [2020-04-13 11:57:46]
#ifndef _CFTTRANDOMNUMBERGENERATOR_H_
#define _CFTTRANDOMNUMBERGENERATOR_H_

#include "common.h"

/*

00267290 CFTTRandomNumberGenerator::CFTTRandomNumberGenerator(uint)
0026729C CFTTRandomNumberGenerator::Seed(uint)
002672D2 CFTTRandomNumberGenerator::GetInt()
002672D8 CFTTRandomNumberGenerator::GetUInt()
0026731C CFTTRandomNumberGenerator::GetInt(int,int)
00267334 CFTTRandomNumberGenerator::GetUInt(uint,uint)
0026734C CFTTRandomNumberGenerator::Reload()
002673F4 CFTTRandomNumberGenerator::GetFloat()
00267414 CFTTRandomNumberGenerator::GetFloat(float,float)
0026743C CFTTRandomNumberGenerator::GetNorm(float,float)

*/

class CFTTRandomNumberGenerator {
public:
  CFTTRandomNumberGenerator(uint seed);  //00267290
  void Seed(uint);                       //0026729C
  uint GetInt();                         //002672D2
  uint GetUInt();                        //002672D8
  uint GetInt(int, int);                 //0026731C
  uint GetUInt(uint, uint);              //00267334
  void Reload();                         //0026734C
  float GetFloat();                      //002673F4
  float GetFloat(float a1, float a2);    //00267414
  float GetNorm(float, float);           //0026743C

  uint data[623];
  uint dat_9BC;
  uint* pdat_9C0;
};

#endif  //_CFTTRANDOMNUMBERGENERATOR_H_